org.apache.jmeter.gui.action

## Class Start

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction
  - - org.apache.jmeter.gui.action.Start

All Implemented Interfaces:
  Command

    public class Start
    extends AbstractAction

Set of Actions to:

- Start a Test Plan
- Start a Test Plan without sleeping on the timers
- Stop a Test Plan
- Shutdown a Test plan
- Run a set of Thread Groups
- Run a set of Thread Groups without sleeping on the timers
- Validate a set of Thread Groups with/without sleeping on the timers depending on jmeter properties

### Constructor Summary

Constructors
Constructor and Description
`Start()` Constructor for the Start object.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doAction(ActionEvent e)`
`Set<String>` `getActionNames()` Gets the ActionNames attribute of the Start object.

### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

`getParentFrame, popupCheckExistingFileListener, popupShouldSave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Start

    public Start()

Constructor for the Start object.

### Method Detail

#### getActionNames

    public Set<String> getActionNames()

Gets the ActionNames attribute of the Start object.

Returns:
  the ActionNames value

#### doAction

    public void doAction(ActionEvent e)

Specified by:
  `doAction` in interface `Command`
Overrides:
  `doAction` in class `AbstractAction`
See Also:
  `Command.doAction(ActionEvent)`